Subject: RE: install 'cron' packages in cygwin
From: Prakriteswar Santikary <[email-masked]>
To: "'Michael A Chase'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 6 Feb 2002 14:29:01 -0000

Hi,

here is the output  from 'cygcheck -s'. it looks like cron and vim are
installed. I see a src directory in which I have sourcce codes for cron and
vim. I don't know whether I have to compile them to get them to work. Can I
install the binary directly ?

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Wed Feb 06 09:34:05 2002

Windows 2000 Professional Ver 5.0 Build 2195 Service

Path:   C:\cygwin\usr\local\bin
        C:\cygwin\bin
        C:\cygwin\bin
        c:\Oracle\Ora81\bin
        c:\Program Files\Oracle\jre\1.1.7\bin
        c:\WINNT\system32
        c:\WINNT
        c:\WINNT\System32\Wbem
        c:\MSSQL7\BINN
        54807.2300
        c:\Program Files\Embarcadero\DBA541
        c:\Program Files\Embarcadero\June2001Shared

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `C:\cygwin\home\Administrator'
MAKE_MODE = `unix'
PWD = `/home/Administrator'
USER = `Administrator'

Use `-r' to scan registry

c:  hd  NTFS   17280Mb  45% CP CS UN PA FC

.              /cygdrive  user    binmode,noumount
C:/cygwin      /          system  binmode
C:/cygwin/bin  /usr/bin   system  binmode
C:/cygwin/lib  /usr/lib   system  binmode

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Not Found: cpp (good!)
Found: C:\cygwin\bin\find.exe
Not Found: gcc
Not Found: gdb
Not Found: ld
Found: C:\cygwin\bin\ls.exe
Not Found: make
Found: C:\cygwin\bin\sh.exe

   45k 2001/04/25 C:\cygwin\bin\cygform5.dll
   35k 2002/01/09 C:\cygwin\bin\cygform6.dll
   18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll
   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
   20k 2002/01/13 C:\cygwin\bin\cyghistory5.dll
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
   20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
  175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
  202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
   12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll
  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
  121k 2002/01/13 C:\cygwin\bin\cygreadline5.dll
   50k 2002/01/20 C:\cygwin\bin\cygz.dll
  751k 2002/01/21 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.9
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 51
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Mon Jan 21 12:48:41 EST 2002
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version
ash                 20020131-1
bash                2.05a-2
compface            1.4-5
cron                3.0.1-5
cron-src            3.0.1-5
cygrunsrv           0.94-2
cygrunsrv-src       0.94-2
cygwin              1.3.9-1
diff                0.0
fileutils           4.1-1
findutils           4.1
gawk                3.0.4-1
gdbm                1.8.0-3
grep                2.4.2-1
groff               1.17.2-1
gzip                1.3.2-1
less                358-3
libncurses5         5.2-1
libncurses6         5.2-8
libreadline4        4.1-2
libreadline5        4.2a-1
login               1.4-3
man                 1.5g-2
ncurses             5.2-8
newlib-man          20001118-1
openssl-devel       0.9.6c-2
readline            4.2a-1
sed                 3.02-1
sh-utils            2.0-2
shutdown            1.2-2
shutdown-src        1.2-2
tar                 1.13.19-1
termcap             20010825-1
terminfo            5.2-1
texmf-doc           20000804-2
textutils           2.0.16-1
vim                 6.0.93-1
vim-src             6.0.93-1
which               1.5-1
zlib                1.1.3-7

Use -h to see help about each section
\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$

thanks
Aanti

-----Original Message-----
From: Michael A Chase [mailto:[email-masked]]
Sent: Tuesday, February 05, 2002 3:32 PM
To: Prakriteswar Santikary
Cc: cygwin
Subject: Re: install 'cron' packages in cygwin

Please continue with the list.  I have CCed this response there.

I am not familiar with cron, you should read the documentation that comes
with it to see how to set it up.  There should also be a lot in the mail
list archive.

I don't know why vim doesn't start for you.  Please send the output of
'cygcheck -s' to the list so someone can see better what is happening.
--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Ask Smarter: http://www.tuxedo.org/~esr/faqs/smart-questions.htm
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.
----- Original Message -----
From: "Prakriteswar Santikary" <[email-masked]>
To: "'Michael A Chase'" <[email-masked]>
Sent: Tuesday, February 05, 2002 14:40
Subject: RE: install 'cron' packages in cygwin

> I clicked 'Category' and chose admin to install cron. I also installed
'vim'
> editor. The installation went on fine with no complain, but when I say vim
> text.c at the $ prompt it says command not found. Also, I don't see any
> /etc/cron directory for cron. Do I have to unpack the package and do
> something with it ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/